Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# EggSAnimData Class Reference

Corresponding to an <S$Anim> entry, this stores a single column of numbers, for instance for a morph target, or as one column in an EggXfmSAnim. More...

Inheritance diagram for EggSAnimData:

List of all members.

## Public Member Functions
| EggSAnimData (EggSAnimData const copy)
| EggSAnimData (string name)
| EggSAnimData ()
int | getNumRows ()
| Returns the number of rows in the table.
double | getValue (int row)
| Returns the value at the indicated row.
EggSAnimData | operator= (EggSAnimData const copy)
| optimize ()
| Optimizes the data by collapsing a long table of duplicate values into a single value.
| setValue (int row, double value)
| Changes the value at the indicated row.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Corresponding to an <S$Anim> entry, this stores a single column of numbers, for instance for a morph target, or as one column in an EggXfmSAnim.

## Constructor & Destructor Documentation

EggSAnimData | ( | EggSAnimData const | copy | ) |

EggSAnimData | ( | string | name | ) |

EggSAnimData | ( |  | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from EggAnimData.

int getNumRows | ( |  | ) |

Returns the number of rows in the table.

For an SAnim table, each row has one column.

double getValue | ( | int | row | ) |

Returns the value at the indicated row.

Row must be in the range 0 <= row < get_num_rows().

EggSAnimData operator= | ( | EggSAnimData const | copy | ) |

optimize | ( |  | ) |

Optimizes the data by collapsing a long table of duplicate values into a single value.

setValue | ( | int | row,
|  | double | value
| ) |  |

Changes the value at the indicated row.

Row must be in the range 0 <= row < get_num_rows().

All Classes Namespaces Functions Variables Enumerations Enumerator Properties